﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Collections.ObjectModel;

namespace PanelBarSample
{
    public partial class MainPage : UserControl
    {
    

        public MainPage()
        {
            InitializeComponent();
            MainViewModel model = new MainViewModel();
            model.BindTestCase();
            this.radPanelBar.DataContext = model;
        }

        
    }

    public class KeyWords
    {
        public string KeyWordDescription { get; set; }
        public string KeyWordId { get; set; }

        public KeyWords()
        { }

        public KeyWords(string KDesc, string kId)
        {
            KeyWordDescription = KDesc;
            KeyWordId = kId;
        }
    }

    public class Field
    {
        public string FieldDescription { get; set; }
        public string FieldId { get; set; }

        public Field()
        {

        }

        public Field(string strFDesc, string strFId)
        {
            FieldDescription = strFDesc;
            FieldId = strFId;
        }
    }

    public class Datas
    {
        public string DatasDescription { get; set; }
        public string DataId { get; set; }

        public Datas()
        { }

        public Datas(string strDesc, string strid)
        {
            DatasDescription = strDesc;
            DataId = strid;
        }
    }

    public class TestStepData1
    {
        public string TestStepsToExecute { get; set; }
        public string TestStepsDescription { get; set; }

        public TestStepData1()
        {

        }

        public TestStepData1(string tstSTExecute, string tstDesc)
        {
            TestStepsToExecute = tstSTExecute;
            TestStepsDescription = tstDesc;
        }
    }

    public class TestCase
    {
        public string TestCaseId { get; set; }
        public string TestCaseDescription { get; set; }
        public IList<TestStepData1> lstTestStepData {get;set;}
        public IList<Datas> lstDatas { get; set; }
        public IList<Field> lstField { get; set; }
        public IList<KeyWords> lstKeyWords { get; set; }

        public TestCase()
        {

        }

        public TestCase(string strTestcaseid, string strTestcaseDesc, IList<TestStepData1> lTestStepData, IList<Datas> lDatas, IList<Field> lField, IList<KeyWords> lkeywords)
        {
            TestCaseId = strTestcaseid;
            TestCaseDescription = strTestcaseDesc;
            lstTestStepData = lTestStepData;
            lstDatas = lDatas;
            lstField = lField;
            lstKeyWords = lkeywords;
        }
    }
}